/**
 * 1. facebook chat
 * 2. #callnow
 * 3. #scrollup
 **/

/*#region facebook chat*/
  // HTML
  // <div class="facebook-header" id="js-facebook-chat">
  //     <img src="wwwroot/templates/website/global/img/face-chat.png" alt="">
  //     <div id="facebook-opacity"></div>
  // </div>
  // <div class="facebook-content" id="js-facebook-content">
  //     <div class="fb-page" data-href="https://www.facebook.com/FacebookVietnam/" data-tabs="messages" data-width="300" data-height="300" data-small-header="true" data-adapt-container-width="true" data-hide-cover="false" data-show-facepile="false">
  //         <blockquote cite="https://www.facebook.com/FacebookVietnam/" class="fb-xfbml-parse-ignore"><a href="https://www.facebook.com/FacebookVietnam/">https://www.facebook.com/FacebookVietnam/</a></blockquote>
  //     </div>
  // </div>
  @-webkit-keyframes bounceInFacebook {
    from, 20%, 40%, 60%, 80%, to {
      -webkit-animation-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
              animation-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
    }

    0% {
      opacity: 0;
      -webkit-transform: scale3d(.3, .3, .3);
              transform: scale3d(.3, .3, .3);
    }

    20% {
      -webkit-transform: scale3d(1.1, 1.1, 1.1);
              transform: scale3d(1.1, 1.1, 1.1);
    }

    40% {
      -webkit-transform: scale3d(.9, .9, .9);
              transform: scale3d(.9, .9, .9);
    }

    60% {
      opacity: 1;
      -webkit-transform: scale3d(1.03, 1.03, 1.03);
              transform: scale3d(1.03, 1.03, 1.03);
    }

    80% {
      -webkit-transform: scale3d(.97, .97, .97);
              transform: scale3d(.97, .97, .97);
    }

    to {
      opacity: 1;
      -webkit-transform: scale3d(1, 1, 1);
              transform: scale3d(1, 1, 1);
    }
  }
  @keyframes bounceInFacebook {
    from, 20%, 40%, 60%, 80%, to {
      -webkit-animation-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
              animation-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
    }

    0% {
      opacity: 0;
      -webkit-transform: scale3d(.3, .3, .3);
              transform: scale3d(.3, .3, .3);
    }

    20% {
      -webkit-transform: scale3d(1.1, 1.1, 1.1);
              transform: scale3d(1.1, 1.1, 1.1);
    }

    40% {
      -webkit-transform: scale3d(.9, .9, .9);
              transform: scale3d(.9, .9, .9);
    }

    60% {
      opacity: 1;
      -webkit-transform: scale3d(1.03, 1.03, 1.03);
              transform: scale3d(1.03, 1.03, 1.03);
    }

    80% {
      -webkit-transform: scale3d(.97, .97, .97);
              transform: scale3d(.97, .97, .97);
    }

    to {
      opacity: 1;
      -webkit-transform: scale3d(1, 1, 1);
              transform: scale3d(1, 1, 1);
    }
  }
  .facebook-header {
    @include animation();
    @include flex-center();
    text-align: center;
    position: fixed;
    bottom: 10px;
    right: 10px;
    z-index: 9;
    background: $primary-color;
    // padding: 10px;
    width: 50px;
    height: 50px;
    cursor: pointer;
    border-radius: 100%;
    // background-image: url("../img/face-chat.png");
    // background-position: center center;
    // background-repeat: no-repeat;
    // background-size: auto;
    // padding-left: 55px;
    // width: auto;
    // max-width: 100%;
    img {
      width: 35px;
      height: 35px;
    }
    #facebook-opacity {
      position: absolute;
      top:0;
      left: 0;
      content: "";
      width: 100%;
      height: 100%;
    }
    // p {
    //   margin-bottom: 0;
    //   i {
    //     @include animation();
    //     float: right;
    //   }
    // }
    &.open {
      // bottom: 300px;
      // i {
      //   -ms-transform: rotate(180deg); /* IE 9 */
      //   -webkit-transform: rotate(180deg); /* Chrome, Safari, Opera */
      //   transform: rotate(180deg);
      // }
      + .facebook-content {
        opacity: 1;
        z-index: 99;
        visibility: visible;
        -webkit-animation-duration: 500ms;
        animation-duration: 500ms;
        -webkit-animation-name: bounceInFacebook;
                animation-name: bounceInFacebook;
        -webkit-transition-timing-function: ease-in;
        -o-transition-timing-function: ease-in;
                transition-timing-function: ease-in;
      }
    }
  }
  .facebook-content {
    @include animation();
    @include box-shadow2();
    @include border();
    position: fixed;
    bottom: calc(20px + 50px);
    right: 15px;
    width: 300px;
    height: 300px;
    // max-width: 100%;
    // height: 0;
    z-index: -1;
    visibility:hidden;
    opacity: 0;
  }
/*#endregion*/

/*#region #callnow*/
  // HTML
  // <a href="tel:" id="callnow">
  //   <i class="demo-icon ecs-phone"></i>
  //   <span class="hidden-xs">0902726571</span>
  // </a>
  @keyframes play {
      0% {
          transform: scale(1);
      }
      15% {
          box-shadow: 0 0 0 5px rgba(255, 255, 255, 0.4);
      }
      25% {
          box-shadow: 0 0 0 10px rgba(255, 255, 255, 0.4), 0 0 0 20px rgba(255, 255, 255, 0.2);
      }
      25% {
          box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.4), 0 0 0 30px rgba(255, 255, 255, 0.2);
      }
  }
  @-moz-keyframes play {
      0% {
          transform: scale(1);
      }
      15% {
          box-shadow: 0 0 0 5px rgba(255, 255, 255, 0.4);
      }
      25% {
          box-shadow: 0 0 0 10px rgba(255, 255, 255, 0.4), 0 0 0 20px rgba(255, 255, 255, 0.2);
      }
      25% {
          box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.4), 0 0 0 30px rgba(255, 255, 255, 0.2);
      }
  }
  @-webkit-keyframes play {
      0% {
          transform: scale(1);
      }
      15% {
          box-shadow: 0 0 0 5px rgba(255, 255, 255, 0.4);
      }
      25% {
          box-shadow: 0 0 0 10px rgba(255, 255, 255, 0.4), 0 0 0 20px rgba(255, 255, 255, 0.2);
      }
      25% {
          box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.4), 0 0 0 30px rgba(255, 255, 255, 0.2);
      }
  }
  #callnow {
    width: 50px;
    height: 50px;
    position: fixed;
    z-index: 9;
    border-radius: 50%;
    left: 15px;
    bottom: 15px;
    text-align: center;
    color: $white;
    font-size: 35px;
    -webkit-animation: play 2s ease infinite;
    animation: play 2s ease infinite;
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    -ms-backface-visibility: hidden;
    backface-visibility: hidden;
    display: block;
    i {
        background: $primary-color;
        position: relative;
        z-index: 10;
        width: 100%;
        height: 100%;
        display: block;
        border-radius: 50%;
        line-height: 50px;
    }
    span {
        @include animation();
        @include box-shadow1();
        opacity: 1;
        visibility: visible;
        display: block;
        position: absolute;
        top: calc(50% - 15.5px);
        font-size: 14px;
        font-weight:$font-weight-bold;
        width: 120px;
        padding: 5px 0 5px 10px;
        border-radius: 0px;
        z-index: 9;
        left: 40px;
        background:$white;
        color:$black;
    }
  }
/*#endregion*/

/*#region #scrollup*/  
  // HTML
  // <a href="javascript:" id="scrollup"><i class="demo-icon ecs-up-open-big" aria-hidden="true"></i></a>
  #scrollup {
    width: 40px;
    height: 40px;
    position: fixed;
    bottom: 10%;
    right: 10px;
    display: none;
    background: $primary-color;
    opacity: 0.8;
    z-index: 90;
    border-radius: 50%;
    text-align: center;
    i {
      font-size: 20px;
      line-height: 40px;
      color: #fff;
    }
  }
/*#endregion*/
/*#region #sad*/
/*#endregion*/

@media screen and (min-width: 1920px) {
  /*#region #sad*/
  /*#endregion*/
}

@media screen and (min-width: 1200px) {
  /*#region #sad*/
  /*#endregion*/
}

@media screen and (max-width: 1280px) {}

@media screen and (max-width: 1024px) {
	/*#region #sad*/
	/*#endregion*/
}

@media screen and (max-width: 980px) {}

@media screen and (max-width: 768px) {
	/*#region #sad*/
	/*#endregion*/
}

@media screen and (max-width: 650px) {}

@media screen and (max-width: 450px) {     
	/*#region #sad*/
	/*#endregion*/
}

@media screen and (max-width: 375px) {}

@media screen and (max-width: 360px) {}

@media screen and (max-width: 320px) {
  /*#region #sad*/
  /*#endregion*/
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
  @-moz-document url-prefix() {
    /*Code is here*/
  }
/*#endregion*/

/*#region ie*/
  @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    /*Code is here*/
  }
/*#endregion*/